Page MenuHomePhabricator

relocate/reimage cloudvirt1024 with 10G interfaces
Closed, ResolvedPublic

Description

Steps:

  • - figure out where to move the host to a rack with 10G -- B2, B4 or B7 I believe (dc-ops) - @RobH adds that B2 has the most, using it.
  • - set downtime in icinga and then power off cloudvirt1024
  • - relocate cloudvirt1014 from b8-eqiad:u24 to b2-eqiad:u17
  • - relocate network from 1G to 10G, and plug into asw2-b-eqiad:xe-2/0/25 & xe-2/0/26. (port descriptions and vlans already done)
  • - confirm 10G primary interface has PXE enabled and is setup for host traffic
  • - cable and update switch config for second 10G port for instance traffic
  • - disable 1g production nic interfaces, enable 10g network interfaces in system bios
  • - reimage cloudvirt1024

Event Timeline

Andrew created this task.Feb 21 2019, 3:50 PM
Andrew added a project: ops-eqiad.
Andrew assigned this task to RobH.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 21 2019, 3:50 PM
Cmjohnson moved this task from Backlog to Cloud Tasks on the ops-eqiad board.Feb 21 2019, 6:41 PM
RobH renamed this task from Move cloudvirt1024 to 10Gb ethernet to relocate cloudvirt1024 from b8-eqiad:u24 to b2-eqiad:u17.Mar 6 2019, 10:44 PM
RobH triaged this task as Normal priority.
RobH reassigned this task from RobH to Cmjohnson.
RobH updated the task description. (Show Details)
RobH added a subscriber: RobH.
RobH updated the task description. (Show Details)Mar 6 2019, 10:47 PM
RobH updated the task description. (Show Details)Mar 6 2019, 10:54 PM
RobH renamed this task from relocate cloudvirt1024 from b8-eqiad:u24 to b2-eqiad:u17 to relocate/reimage cloudvirt1024 with 10G interfaces.Apr 4 2019, 6:33 PM
RobH updated the task description. (Show Details)
Cmjohnson updated the task description. (Show Details)Apr 5 2019, 4:09 PM

Everything is done with this server but I am not getting any link lights on the 10G card. I verified and re-verified that the card is enabled and set to PXE. Only the 10G cards are showing which means it's enabled. The switch configuration looks good but this needs to be looked at by someone. I am not sure what's going on. The only thing that can be done right now is a F/W update. I will do that next

I replaced the cables on 1024 but still do not get a link. I see 1018 is working now...was a change there made?

Change 502232 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1024: update nic name

https://gerrit.wikimedia.org/r/502232

Change 502232 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1024: update nic name

https://gerrit.wikimedia.org/r/502232

Cmjohnson added a comment.EditedApr 16 2019, 6:40 PM

@AndrewBogott Is this re-imaged yet? Can we resolve this task? Thanks

Cmjohnson reassigned this task from Cmjohnson to Andrew.Apr 19 2019, 5:42 PM
Cmjohnson removed projects: DC-Ops, ops-eqiad.
Cmjohnson added a subscriber: Cmjohnson.

Removing ops-eqiad tag and assigning to Andrew for install. please add tag back if there are any h/w issues

Change 508378 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1024: update the (now truncated) interface name

https://gerrit.wikimedia.org/r/508378

Change 508378 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1024: update the (now truncated) interface name

https://gerrit.wikimedia.org/r/508378

Change 509892 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1024: enable notifications

https://gerrit.wikimedia.org/r/509892

Change 509892 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1024: enable notifications

https://gerrit.wikimedia.org/r/509892

Andrew closed this task as Resolved.May 13 2019, 5:10 PM
Andrew updated the task description. (Show Details)